Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBorkTranslator Class Reference
Internationalization » Translation

Translates text into the Bork language (Mock Swedish) More...

Inheritance diagram for eZBorkTranslator:

## Public Member Functions
| __construct ()
| findMessage ( $context, $source, $comment=null)
| borkify ( $text)
| translate ( $context, $source, $comment=null)
Public Member Functions inherited from eZTranslatorHandler
| __construct ( $is_key_based)
| isKeyBased ()
| findKey ( $key)
| keyTranslate ( $key)

## Static Public Member Functions
static | initialize ()

## Public Attributes
| $Messages
Public Attributes inherited from eZTranslatorHandler
| $IsKeyBased

## Detailed Description

Translates text into the Bork language (Mock Swedish)

This translation is adapted from the Mock Swedish translation in Qt Quarterly 3/2002: http://doc.trolltech.com/qq/qq03-swedish-chef.html

It translates the following characters/strings: (The "|" sign stands for a word boundary, and "-" stands for mid-word.)

a- -> e an -> un au -> oo en| -> ee -ew -> oo -f -> ff -i -> ee -ir -> ur |o -> oo ow -> oo ph -> f th| -> t -tion -> shun -u -> oo |U- -> Oo y| -> ai v -> f w -> v

Words that are not changed by these rules will have "-a" appended to them.

Definition at line 45 of file ezborktranslator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBorkTranslator::__construct | ( |  | ) |

Definition at line 47 of file ezborktranslator.php.

## Member Function Documentation

## ◆ borkify()

eZBorkTranslator::borkify | ( |  | $text | ) |

Translates the text into bork code.

Definition at line 71 of file ezborktranslator.php.

Referenced by findMessage().

## ◆ findMessage()

eZBorkTranslator::findMessage | ( |  | $context,
|  |  | $source,
|  |  | $comment = `null`
| ) |  |
| virtual

Returns
  the translation message for $source and $context or null if the key does not exist.

If you know the translation key use findKey() instead.

This function must overridden if isKeyBased() is true.

Implements eZTranslatorHandler.

Definition at line 54 of file ezborktranslator.php.

References borkify(), and eZTranslatorManager\instance().

Referenced by translate().

## ◆ initialize()

static eZBorkTranslator::initialize | ( |  | ) |
| static

Initialize the bork translator if this is not allready done.

Definition at line 127 of file ezborktranslator.php.

References eZTranslatorManager\instance().

Referenced by ezpI18n\translateText().

## ◆ translate()

eZBorkTranslator::translate | ( |  | $context,
|  |  | $source,
|  |  | $comment = `null`
| ) |  |
| virtual

Returns
  the translation string for $source and $context or null if the translation does not exist.

See also
  findMessage, findKey

Implements eZTranslatorHandler.

Definition at line 112 of file ezborktranslator.php.

References findMessage().

## Member Data Documentation

## ◆ $Messages

eZBorkTranslator::$Messages

Contains the hash table with cached bork translations

Definition at line 142 of file ezborktranslator.php.

The documentation for this class was generated from the following file:

- ezborktranslator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.